from aiogram.types import InlineKeyboardMarkup, InlineKeyboardButton


def add_new_ads():
    new_ads_keyboard = InlineKeyboardMarkup()
    new_ads_keyboard.add(InlineKeyboardButton(text=f"⚙Изменить рекламу", callback_data='edit_ads'))
    return new_ads_keyboard


def send_mailing_keyboard():
    mailing_keyboard = InlineKeyboardMarkup()
    mailing_keyboard.add(InlineKeyboardButton(text=f"➕Фото", callback_data='add_photo'))
    mailing_keyboard.insert(InlineKeyboardButton(text=f"➕Видео", callback_data='add_video'))
    mailing_keyboard.add(InlineKeyboardButton(text=f"⏩ Пропустить", callback_data='skip_add_material'))
    return mailing_keyboard


def send_advertising_keyboard():
    mailing_keyboard = InlineKeyboardMarkup()
    mailing_keyboard.add(InlineKeyboardButton(text=f"➕Фото", callback_data='add_advertising_photo'))
    mailing_keyboard.add(InlineKeyboardButton(text=f"⏩ Пропустить", callback_data='skip_add_advertising_photo'))
    return mailing_keyboard
