from aiogram.types import InlineKeyboardMarkup, InlineKeyboardButton

from data.config import load_config


def links_to_channels():
    config = load_config()
    links_to_channels_menu = InlineKeyboardMarkup()
    count = 1
    for channel_link in config.tg_bot.channels_links:
        links_to_channels_menu.add(InlineKeyboardButton(text=f"🖥Подписаться - {count}", url=channel_link.strip()))
        count += 1
    links_to_channels_menu.add(InlineKeyboardButton(text=f"✅Я подписался", callback_data='check_subscribe'))
    return links_to_channels_menu
