from aiogram import executor
from handlers import dp
import filters
from utils.set_bot_commands import set_default_commands
from utils.db_api.api_sqlite import create_bdx


async def on_startup(dp):
    await set_default_commands(dp)
    filters.setup(dp)
    print('Бот запущен')


if __name__ == '__main__':
    create_bdx()
    executor.start_polling(dp, on_startup=on_startup)
