from aiogram.types import ReplyKeyboardMarkup


def start_menu():
    admin_menu = ReplyKeyboardMarkup(resize_keyboard=True)
    admin_menu.row("💼 Меню администратора")
    admin_menu.insert("📢Рассылка")
    return admin_menu


def back_button():
    back_menu = ReplyKeyboardMarkup(resize_keyboard=True)
    back_menu.row("◀Назад")
    return back_menu


def confirm_menu():
    confirm_buttons = ReplyKeyboardMarkup(resize_keyboard=True)
    confirm_buttons.add("✅Отправить")
    confirm_buttons.insert("❌Отмена")
    return confirm_buttons
